# fuelprices

## Summary

fuelprices is a small tool designed to fetch fuel prices from France open data and send them to influxdb

## Howto

### Build

```shell
make
```

## Sample config in fuelprices.ini

```ini
[fuelprices]
# Remote URLs, filenames, xpath base for values
remote_url=https://donnees.roulez-eco.fr/opendata/instantane
remote_filename=PrixCarburants_instantane.xml
xpath_base=.//pdv[@id='%s']/prix[@nom='%s']

# Comma separated values for pos and types
pos=50000007
types=Gazole,SP95,SP98

[influxdb]
# InfluxDB settings
url=http://influxdb:8086/
username=influxdb
password=password
database=database
```

### Run

```shell
./fuelprices -configfile fuelprices.ini
```

## Todo

- Add tests

## License
```text
Copyright (c) 2020, PaulBSD
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of this project.
```
