package main

import (
	"git.paulbsd.com/paulbsd/fuelprices/src/config"
	"git.paulbsd.com/paulbsd/fuelprices/src/price"
	"git.paulbsd.com/paulbsd/fuelprices/src/xmlfile"
	"git.paulbsd.com/paulbsd/fuelprices/src/zipfile"
	"log"
)

func main() {
	var c config.Config
	var zf zipfile.ZipFile
	var xf xmlfile.XMLFile
	var pcx []price.Price
	var err error

	err = c.GetConfig()
	if err != nil {
		log.Fatal(err)
	}

	err = zf.DownloadFile(&c)
	if err != nil {
		log.Fatal(err)
	}

	err = zf.ExtractZip(&c, &xf)
	if err != nil {
		log.Fatal(err)
	}

	err = price.GetPrices(&c, &pcx, &xf)
	if err != nil {
		log.Fatal(err)
	}

	err = price.SendToInflux(&c, &pcx)
	if err != nil {
		log.Fatal(err)
	}
}
